default:
    before_script:
        - apt-get update -qq
        - apt-get install -y -qq doxygen python3-pip make
        - pip3 install -r requirements.txt

stages:
    - test
    - build

pages:
    stage: build
    script:
        - mkdir public
    after_script:
        - mv htmlcov public/coverage
    artifacts:
        paths:
            - public
    only:
        - master
    dependencies:
        - test

test:
    stage: test
    script:
        - make coverage
    artifacts:
        paths:
            - htmlcov/
        when: always

# https://gitlab.com/mattia.basaglia/glaxspc/-/ci/lint
